XMLWriter::endComment
XMLWriter::endDTDAttlist
XMLWriter Functions
PHP Manual

# XMLWriter::endDocument

# xmlwriter_end_document

(PHP 5 >= 5.1.2, PECL xmlwriter >= 0.1.0)

XMLWriter::endDocument -- xmlwriter_end_document — End current document

### Description

Object oriented style

bool XMLWriter::endDocument ( void )

Procedural style

bool xmlwriter_end_document ( resource `$xmlwriter` )

Ends the current document.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDocument() - Create document tag

XMLWriter::endComment
XMLWriter::endDTDAttlist
XMLWriter Functions
PHP Manual